Bug 521255 - New package for Dogtag PKI: pki-selinux
Summary: New package for Dogtag PKI: pki-selinux
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Dennis Gilmore
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: Dogtag-to-Fedora
TreeView+ depends on / blocked
 
Reported: 2009-09-04 14:45 UTC by Ade Lee
Modified: 2010-02-17 16:59 UTC (History)
11 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-02-04 04:57:22 UTC
dennis: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Ade Lee 2009-09-04 14:45:46 UTC
First pass at pki-selinux package for Fedora

Comment 1 Peter Lemenkov 2009-09-04 15:59:49 UTC
You forgot to attach spec- and srpm-file.

Comment 2 Kevin Wright 2009-09-08 18:04:06 UTC
Hi Peter,

the spec, source tarball and src.rpm files can be found here:

http://people.redhat.com/kwright/pki-selinux/

Comment 3 Susi Lehtola 2009-09-09 12:14:52 UTC
Please use standard naming for the summaries of the review requests:
"Review Request: foo - an app that does bar"

Comment 4 Jason Tibbitts 2009-09-09 21:49:02 UTC
This review ticket is assigned to kwright, but according to the account system that user is not a packager and so cannot do reviews.

Comment 5 Kashyap Chamarthy 2009-09-10 07:45:43 UTC
I ran a quick rpmlint on the binary rpm after building it on f12 aplha.

rpmlint on SPEC - silent

rpmlint on SRPM - silent

rpmlint on binary RPM:

[build@f12-alpha noarch]$ rpmlint -ivv pki-selinux-1.3.0-1.fc12.noarch.rpm 
pki-selinux.noarch: I: checking
pki-selinux.noarch: W: dangerous-command-in-%pre cp
pki-selinux.noarch: W: dangerous-command-in-%post rm
pki-selinux.noarch: W: dangerous-command-in-%preun cp
pki-selinux.noarch: W: dangerous-command-in-%postun rm
1 packages and 0 specfiles checked; 0 errors, 4 warnings.

Comment 6 Kevin Wright 2009-09-11 18:14:08 UTC
The description of this package is as follows:

Selinux policies for the Pubic Key Infrastructure (PKI) components.

Comment 7 Ade Lee 2009-09-17 02:54:13 UTC
Note on Warnings above:

The pre, post, preun and postun scripts have been carefully checked to confirm that the correct file is copied and removed.  In fact, the file that is created in %pre is deleted in %post, and the file that is created in %preun is deleted in %postun.

These scripts are in fact identical to scripts already accepted in Fedora for the IPA spec file.

Comment 9 Kevin Wright 2009-11-18 03:00:13 UTC
* Tue Nov 17 2009 Kevin Wright <kwright@redhat.com> 1.3.0-2
- Bugzilla Bug #521255 - Packaging for Fedora Dogtag PKI
- Remove un-necessary installation steps.

Spec URL:
http://people.redhat.com/kwright/pki-setup/pki-selinux.spec

SRPM URL:

http://people.redhat.com/kwright/pki-setup/pki-selinux-1.3.0-2.fc11.src.rpm  

rpmlint SRPMS/pki-selinux-1.3.0-2.fc11.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 10 Dennis Gilmore 2009-11-20 19:54:07 UTC
srpm gives a 404 error.

Comment 12 Parag AN(पराग) 2009-12-10 10:06:59 UTC
1) why is it necessary to list explicitly selinux-policy-devel with versions for f9/f10/f11?

2) why not to choose following as Group?
Group:          System Environment/Base

3)Please add comments in SPEC on why rpmlint messages for pre/post/preun/postun is valid?

Comment 13 Kevin Wright 2009-12-20 00:47:28 UTC
Regarding issues with this package:

*  "BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)" is provided because this package must also be made into an EPEL package

* Although we create the "}%{_datadir}/selinux/modules/" directory, we do not own the "modules" directory because ownership of this specific directory will be a part of one of Dan Walsh's SELinux packages (Ade can answer this better than I if needed)

* Although the RPM contains four warnings, these are expected, and are inherited from other SELinux packages (SELinux can answer this better than I if needed)

Comment 14 Kevin Wright 2009-12-20 01:00:42 UTC
* Mon Dec 14 2009 Matthew Harmsen <mharmsen@redhat.com> 1.3.0-4
- Removed 'with exceptions' from License

* Mon Dec 7 2009 Matthew Harmsen <mharmsen@redhat.com> 1.3.0-3
- Bugzilla Bug #528556 -  policycoreutils-python (semanage) prerequisite
  missing from rpm
- Removed "conditional" support for Fedora 9

Updated spec file and src rpm:

Spec URL:
http://people.redhat.com/kwright/pki-setup/pki-selinux.spec

SRPM URL:

http://people.redhat.com/kwright/pki-setup/pki-selinux-1.3.0-4.fc11.src.rpm

Comment 15 Parag AN(पराग) 2009-12-21 03:47:04 UTC
unable to download srpm/spec.

Comment 16 Kevin Wright 2009-12-22 18:02:53 UTC
corrected the url for the spec file and srpm:

Spec URL:
http://people.redhat.com/kwright/pki-selinux/pki-selinux.spec

SRPM URL:
http://people.redhat.com/kwright/pki-selinux/pki-selinux-1.3.0-4.fc11.src.rpm

Comment 17 Parag AN(पराग) 2010-01-06 12:46:39 UTC
Hi Dennis,
 Can you review this package or I can review it if you don't mind?

Comment 18 Dennis Gilmore 2010-01-08 19:50:31 UTC
%{?fc10:Requires: selinux-policy-targeted >= 3.5.13-41}
%{?fc11:Requires: selinux-policy-targeted >= 3.6.3-10}

%{?fc10:BuildRequires: selinux-policy-devel >= 3.5.13-41}
%{?fc11:BuildRequires: selinux-policy-devel >= 3.6.3-10}

need to go they will only create confusion and are already irrelevant f-12 and rawhide are not covered and Fedora 10 is EOL

having the generic Requires and BuildRequires are sufficient.

Comment 19 Kevin Wright 2010-01-08 22:25:15 UTC
-------------------------------
Updated spec file and src rpm to remove obsolete Requires and Build Requires:

Spec URL: http://people.redhat.com/kwright/pki-selinux/pki-selinux.spec
SRPM URL: http://people.redhat.com/kwright/pki-selinux/pki-selinux-1.3.0-5.fc11.src.rpm

Comment 20 Dennis Gilmore 2010-01-12 15:36:23 UTC
rpmlint /var/lib/mock/fedora-12-x86_64/result/
pki-selinux.noarch: W: spelling-error-in-summary en_US Dogtag
pki-selinux.noarch: W: dangerous-command-in-%pre cp
pki-selinux.noarch: W: dangerous-command-in-%post rm
pki-selinux.noarch: W: dangerous-command-in-%preun cp
pki-selinux.noarch: W: dangerous-command-in-%postun rm
pki-selinux.src: W: spelling-error-in-summary en_US Dogtag
2 packages and 0 specfiles checked; 0 errors, 6 warnings.


sha256sum pki-selinux-1.3.0.tar.gz fedora/SOURCES/pki-selinux-1.3.0.tar.gz
899833072eb20d9edc8e46a4f166b67be816cf335a04cfdc84c1f362a2ea1d3b  pki-selinux-1.3.0.tar.gz
899833072eb20d9edc8e46a4f166b67be816cf335a04cfdc84c1f362a2ea1d3b  fedora/SOURCES/pki-selinux-1.3.0.tar.gz

spec is clean

Approved

Comment 21 Kevin Wright 2010-01-12 16:22:06 UTC
New Package CVS Request
=======================
Package Name: pki-selinux
Short Description: Dogtag Security Enhanced Linux
Owners: kwright
Branches: F-11, F-12, EL-5
InitialCC: ausil

Comment 22 Jason Tibbitts 2010-01-13 02:42:29 UTC
CVS done (by process-cvs-requests.py)

Comment 23 Fedora Update System 2010-01-13 03:13:20 UTC
pki-selinux-1.3.1-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/pki-selinux-1.3.1-1.fc12

Comment 24 Fedora Update System 2010-01-13 03:14:29 UTC
pki-selinux-1.3.1-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/pki-selinux-1.3.1-1.fc11

Comment 25 Fedora Update System 2010-01-13 03:30:20 UTC
pki-selinux-1.3.1-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/pki-selinux-1.3.1-1.el5

Comment 26 Fedora Update System 2010-01-13 19:00:35 UTC
pki-selinux-1.3.1-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pki-selinux'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2010-0064

Comment 27 Fedora Update System 2010-01-14 01:21:58 UTC
pki-selinux-1.3.1-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pki-selinux'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2010-0509

Comment 28 Fedora Update System 2010-01-14 01:23:33 UTC
pki-selinux-1.3.1-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pki-selinux'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0522

Comment 29 Fedora Update System 2010-01-22 07:51:41 UTC
pki-selinux-1.3.2-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/pki-selinux-1.3.2-1.fc11

Comment 30 Fedora Update System 2010-01-22 08:02:21 UTC
pki-selinux-1.3.2-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/pki-selinux-1.3.2-1.fc12

Comment 31 Fedora Update System 2010-01-22 22:33:44 UTC
pki-selinux-1.3.2-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pki-selinux'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2010-0902

Comment 32 Fedora Update System 2010-01-22 22:40:56 UTC
pki-selinux-1.3.2-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pki-selinux'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0949

Comment 33 Fedora Update System 2010-01-23 01:58:51 UTC
pki-selinux-1.3.3-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/pki-selinux-1.3.3-1.fc11

Comment 34 Fedora Update System 2010-01-23 02:05:18 UTC
pki-selinux-1.3.3-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/pki-selinux-1.3.3-1.el5

Comment 35 Fedora Update System 2010-01-23 02:09:01 UTC
pki-selinux-1.3.3-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/pki-selinux-1.3.3-1.fc12

Comment 36 Fedora Update System 2010-01-26 00:59:35 UTC
pki-selinux-1.3.3-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pki-selinux'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-1023

Comment 37 Fedora Update System 2010-01-26 01:02:02 UTC
pki-selinux-1.3.3-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pki-selinux'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2010-1047

Comment 38 Fedora Update System 2010-01-26 23:45:27 UTC
pki-selinux-1.3.3-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pki-selinux'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2010-0128

Comment 39 Fedora Update System 2010-02-12 04:44:05 UTC
pki-selinux-1.3.3-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 40 Fedora Update System 2010-02-12 04:45:38 UTC
pki-selinux-1.3.3-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 41 Fedora Update System 2010-02-13 00:36:43 UTC
pki-selinux-1.3.3-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 42 Fedora Update System 2010-02-17 16:59:52 UTC
pki-selinux-1.3.3-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.